Package oracle.jdbc.datasource

## Interface OracleDataSource

All Superinterfaces:
  `CommonDataSource`, `DataSource`, `OracleCommonDataSource`, `Wrapper`

All Known Subinterfaces:
  `OracleConnectionPoolDataSource`, `OracleDataSource`, `OracleXADataSource`

All Known Implementing Classes:
  `oracle.jdbc.datasource.impl.OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSourceImpl`, `oracle.jdbc.datasource.impl.OracleDataSource`, `OracleDataSource`, `OracleDataSourceImpl`, `OracleOCIConnectionPool`, `OracleXADataSource`, `OracleXADataSource`, `OracleXADataSourceImpl`

    public interface OracleDataSource
    extends DataSource, OracleCommonDataSource

This interface defines the Oracle extensions to the standard JDBC interface `DataSource`.

Since:
  12.2

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleConnectionBuilder` `createConnectionBuilder()` Create a new `OracleConnectionBuilder` instance

### Methods inherited from interface javax.sql.CommonDataSource

`getParentLogger`

### Methods inherited from interface javax.sql.DataSource

`getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface oracle.jdbc.datasource.OracleCommonDataSource

`createShardingKeyBuilder, getConnectionProperties, getConnectionProperty, getDatabaseName, getDataSourceName, getDescription, getExplicitCachingEnabled, getImplicitCachingEnabled, getMaxStatements, getNetworkProtocol, getPortNumber, getRoleName, getServerName, getURL, getUser, setConnectionProperties, setConnectionProperty, setDatabaseName, setDataSourceName, setDescription, setExplicitCachingEnabled, setImplicitCachingEnabled, setMaxStatements, setNetworkProtocol, setPassword, setPortNumber, setRoleName, setServerName, setSingleShardTransactionSupport, setSSLContext, setURL, setUser`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### createConnectionBuilder

    OracleConnectionBuilder createConnectionBuilder()
                                             throws SQLException

Create a new `OracleConnectionBuilder` instance

Specified by:
  `createConnectionBuilder` in interface `DataSource`
Returns:
  The `OracleConnectionBuilder` instance that was created
Throws:
  `SQLException` - if an error occurs while creating the builder